function GetRequest() {  
   var url = location.search; //获取url中"?"符后的字串
   var theRequest = new Object();
   if (url.indexOf("?") != -1) {
      var str = url.substr(1);
      strs = str.split("&");
      for(var i = 0; i < strs.length; i ++) {
         theRequest[strs[i].split("=")[0]]=(strs[i].split("=")[1]);
      }
   }

   return theRequest;
}
var query = GetRequest();

function reseverLinks(str) {
	var link = top.menuLinkMap[str];
	return {
		href: link.href+"?code="+query['code'],
		title: str
	}
}

new Vue({
  el: '#app',
  data: {
  	isAgent: false,
    innerTabs: [{title:'咨询',href:'../consultation/consultation.html'},
    			{title:'随访',href:'../follow-up/follow-up.html'},
    			{title:'待预约',href:'../follow-up/follow-up.html?type=2'},
    			{title:'健康指导',href:'../guidance/guidance.html'},
    			{title:'健康教育',href:'../education/education.html'},
    			{title:'统计',href:''}
    ],
    activeidx: ""
  },
  mounted: function() {
  	var vm = this
  	if(vm.isAgent) { // 如果是代理，“供货授权”信息卡
  		vm.innerTabs.push(reseverLinks("供货授权"))
  	}
  	vm.activeidx = query.tabIdex || "0"
  }
})